Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.ereignis
Class Farbe

    java.lang.Object
      sum.ereignis.Farbe

All Implemented Interfaces:
  Serializable

    public class Farbe

extends Object
implements Serializable

Konstanten fuer Farben (Buntstift bzw. Hintergrund)

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`static int` | `BLAU`
`static int` | `CYAN`
`static int` | `DUNKELGRAU`
`static int` | `GELB`
`static int` | `GRAU`
`static int` | `GRUEN`
`static int` | `HELLGRAU`
`static int` | `MAGENTA`
`static int` | `ORANGE`
`static int` | `PINK`
`static int` | `ROT`
`static int` | `SCHWARZ`
`static int` | `WEISS`

Constructor Summary
`Farbe()`

Method Summary
`static Color` | `neueFarbe(Color pAlteFarbe)` In einem Dialog liefert der Farbwaehler eine neue Farbe.
`static Color` | `rgb(int pR, int pG, int pB)` Mischen eigener RGB-Farben

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLAU

    public static final int BLAU

See Also:
  Constant Field Values

### CYAN

    public static final int CYAN

See Also:
  Constant Field Values

### DUNKELGRAU

    public static final int DUNKELGRAU

See Also:
  Constant Field Values

### GELB

    public static final int GELB

See Also:
  Constant Field Values

### GRAU

    public static final int GRAU

See Also:
  Constant Field Values

### GRUEN

    public static final int GRUEN

See Also:
  Constant Field Values

### HELLGRAU

    public static final int HELLGRAU

See Also:
  Constant Field Values

### MAGENTA

    public static final int MAGENTA

See Also:
  Constant Field Values

### ORANGE

    public static final int ORANGE

See Also:
  Constant Field Values

### PINK

    public static final int PINK

See Also:
  Constant Field Values

### ROT

    public static final int ROT

See Also:
  Constant Field Values

### SCHWARZ

    public static final int SCHWARZ

See Also:
  Constant Field Values

### WEISS

    public static final int WEISS

See Also:
  Constant Field Values

Constructor Detail

### Farbe

    public Farbe()

Method Detail

### neueFarbe

    public static final Color neueFarbe(Color pAlteFarbe)

  In einem Dialog liefert der Farbwaehler eine neue Farbe.

  Parameters:
    `pAlteFarbe` - die Ausgangsfarbe fuer den Dialog
  Returns:
    die neue Farbe, falls ok gedrueckt wurde, sonst die alte Farbe

### rgb

    public static final Color rgb(int pR,
                                  int pG,
                                  int pB)

  Mischen eigener RGB-Farben

  Parameters:
    `pR` - Rotanteil der Farbe
    `pG` - Gruenanteil der Farbe
    `pB` - Blauanteil der Farbe
  Returns:
    die neue gemischte Farbe

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD